aboutsummaryrefslogtreecommitdiffstats
path: root/debian/plptools-kde.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/plptools-kde.postinst')
-rw-r--r--debian/plptools-kde.postinst44
1 files changed, 44 insertions, 0 deletions
diff --git a/debian/plptools-kde.postinst b/debian/plptools-kde.postinst
new file mode 100644
index 0000000..468896b
--- /dev/null
+++ b/debian/plptools-kde.postinst
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+set -e
+
+#
+# Workaround for a mis-feature (bug?) in kdelibs:
+# If mimetype is inode/x-directory, then always the folder-icon is displayed.
+# If mimetype is something else, open dialog pops up. So, for displaying
+# Psion's drive icons _AND_ opening drives without annoying dialog,
+# modify konquerorrc to hide dialog when opening a Psion-drive
+#
+case "$1" in
+ configure)
+ KONQRC=`kde-config --expandvars --install config`/konquerorrc
+ if test -f $KONQRC && grep -q '\[Notification Messages\]' $KONQRC ; then
+ cp $KONQRC $KONQRC.$$
+ cat $KONQRC.$$ | grep -v "askSaveinode/x-psion-drive=No" | sed \
+ -e '/\[Notification Messages\]/a\' \
+ -e 'askSaveinode/x-psion-drive=No' > $KONQRC && \
+ rm -f $KONQRC.$$
+ else
+ cat>>$KONQRC<<-EOF
+
+ [Notification Messages]
+ askSaveinode/x-psion-drive=No
+ EOF
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0